# Katabatic - Routing Toolbox

List of all members | Public Member Functions
AutoSegments_InDirection Class Reference

Filter to select AutoSegment in a given direction. More...

Inheritance diagram for AutoSegments_InDirection:
[legend]

## Public Member Functions
| AutoSegments_InDirection (unsigned int direction)
virtual AutoSegmentHF * | getClone () const
virtual bool | accept (AutoSegment *segment) const

## Detailed Description

Filter to select AutoSegment in a given direction.

A Filter to select AutoSegment in a specific direction.

## Constructor & Destructor Documentation

## ◆ AutoSegments_InDirection()

AutoSegments_InDirection | ( | unsigned int | direction | ) |
| inline

Create a filter for AutoSegment in `direction` (Katabatic::KbHorizontal or Katabatic::KbVertical).

## Member Function Documentation

## ◆ getClone()

AutoSegmentHF * getClone | ( |  | ) | const
| virtual

Returns: A deep copy of the Collection.

Implements Filter< Type >.

## ◆ accept()

bool accept | ( | AutoSegment * | segment | ) | const
| virtual

Returns: true if the `segment` is in the correct direction.

The documentation for this class was generated from the following files:

- AutoSegments.h
- AutoSegments.dox

Generated by doxygen 1.8.14 on Mon Apr 27 2020 | Return to top of page

Katabatic - Routing Toolbox | Copyright © 2008-2016 UPMC. All rights reserved